local thisdofilename centerpanel_exp
include ../lib_local/header

u `rawdatadir'/centerpanel_exp/incentives_excludedp.dta, clear
gen intro0=3
append using `rawdatadir'/centerpanel_exp/incentives_panel_totaal_5p_corrected_2

gen nohhmem=nohhold*100+nomem
order nohhmem
sort nohhmem


// GENERATE NEW QUESTION VARIABLES

forvalues j = 1(1)7  {
    foreach i in 0 10 20 25 30 40 50 60 70 75 80 90 100   {
        gen q`j'_`i'=.
    }
    gen q`j'_50a =.
    gen q`j'_100a=.
}
// note: read this as 'in order 1, question 1 was in 5th place, question 2 in 1st place, ...
matrix ord1=(5\1\3\6\7\4\2)
matrix ord2=(1\4\6\2\3\5\7)

forvalues ordnr=1/2  {
    forvalues i = 1/7   {
        
        local j=ord`ordnr'[`i',1]
        
        replace q`i'_25 = sh`j'q1 - 1 if arandom==`ordnr'
        replace q`i'_50 = sh`j'q2 - 1 if arandom==`ordnr'
        replace q`i'_75 = sh`j'q3 - 1 if arandom==`ordnr'
        replace q`i'_100 = sh`j'q4 - 1 if arandom==`ordnr'
        
        replace q`i'_0 = sh`j'aq1 - 1 if arandom==`ordnr' & q`i'_25==1 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_10 = sh`j'aq2 - 1 if arandom==`ordnr' & q`i'_25==1 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_20 = sh`j'aq3 - 1 if arandom==`ordnr' & q`i'_25==1 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_30 = sh`j'aq4 - 1 if arandom==`ordnr' & q`i'_25==1 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        
        replace q`i'_20 = sh`j'bq1 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_30 = sh`j'bq2 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_40 = sh`j'bq3 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        replace q`i'_50a = sh`j'bq4 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==1 & q`i'_75==1 & q`i'_100==1
        
        replace q`i'_50a = sh`j'cq1 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==1 & q`i'_100==1
        replace q`i'_60 = sh`j'cq2 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==1 & q`i'_100==1
        replace q`i'_70 = sh`j'cq3 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==1 & q`i'_100==1
        replace q`i'_80 = sh`j'cq4 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==1 & q`i'_100==1
        
        replace q`i'_70 = sh`j'dq1 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==0 & q`i'_100==1
        replace q`i'_80 = sh`j'dq2 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==0 & q`i'_100==1
        replace q`i'_90 = sh`j'dq3 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==0 & q`i'_100==1
        replace q`i'_100a= sh`j'dq4 - 1 if arandom==`ordnr' & q`i'_25==0 & q`i'_50==0 & q`i'_75==0 & q`i'_100==1
        
    }
}
// DROP ORIGINAL LOTTERY CHOICE VARIABLES
drop sh*


// RECODE AND RENAME ADDITIONAL OWN QUESTIONS

gen anyexp=1 if q1_25<.

gen order2=0
replace order2=1 if arandom==2
label var order2 "Treatment: order1 (0) / order2 (1)"
drop arandom

gen incentive=0
replace incentive=1 if questnum==2
replace incentive=3 if questnum==3
label var incentive "Treatment: nopay (0) / low (1) / high (3)"
drop questnum

rename intro0 centerp_resp

rename alleen1 alone1
rename alleen2 alone2
rename alleen3 alone3
rename alleen4 alone4
rename alleen5 alone5

rename lengte tall_exp

qui tab inkhh, gen(ninchhcat1_exp)
qui tab inknorm, gen(incnorm_exp)
qui tab finsitu, gen(finsitu_exp)
qui tab periode1, gen(horizon_exp)
qui tab beslis, gen(findechh_exp)
qui tab geldh, gen(mondechh_exp)
qui tab kunde, gen(finknowl_exp)
gen finknowd=.
replace finknowd=0 if kunde==1 | kunde==2
replace finknowd=1 if kunde==3 | kunde==4


rename beslis findecide

rename opm remarks
replace remarks=0 if remarks==2

drop inkhh inknorm finsitu periode1 geldh kunde bedrag brandom lot optie prob1 prob2 win1 win2 xrandom uitkomst krijg info3mnd evaopm


// FORMAT DATE AND TIME VARIABLES

drop datum1 datum2 tijd1 tijd2

sort nohhmem
merge nohhmem using `rawdatadir'/centerpanel_exp/times_experiment
tab _m
drop _m

egen begin_datetime = dhms(datum1 begin_h begin_m begin_s) if begin_h<.
egen end_datetime = dhms( datum2 end_h end_m end_s) if end_h<.

gen duration_exp=(end_datet - begin_datet)*24*60
gen durshort=0
gen durlong=0
replace durshort=1 if duration_exp<=9 & duration_exp!=.
replace durlong =1 if duration_exp>=18 & duration_exp!=.
replace durshort=. if duration_exp==.
replace durlong =. if duration_exp==.

gen centerpanel=1
gen exptype=1

drop begin_h begin_m begin_s end_h end_m end_s datum1 datum2


// RECODE AND RENAME BACKGROUND VARIABLES

rename geslacht sex
replace sex=sex-1
qui tab positie, gen(positionhh_exp)
rename gebjaar birthyear_exp
rename leeftijd age_exp
qui tab lftdcat, gen(agecat_exp)

rename aantalhh nummemhh_exp
rename aantalki numkidshh_exp
gen kids_dummy=(numkidshh_exp>0 & numkidshh_exp<=7) if anyexp==1
replace kids_dummy=. if numkidshh_exp==.

qui tab woonvorm, gen(typehh_exp)
qui tab sted, gen(urban_exp)

qui tab belbezig, gen(occu_exp)
gen occu3_exp1=0
replace occu3_exp1=1 if occu_exp1==1 | occu_exp2==1 | occu_exp3==1
gen occu3_exp2=0
replace occu3_exp2=1 if occu_exp4==1 | occu_exp5==1
gen occu3_exp3=0
replace occu3_exp3=1 if occu3_exp1==0 & occu3_exp2==0

rename brutoink gincind2_exp
replace gincind2_exp=gincind2_exp*12
rename nettoink nincind2_exp
replace nincind2_exp=nincind2_exp*12
rename brutohh ginchh2_exp
replace ginchh2_exp=ginchh2_exp*12
rename nettohh ninchh2_exp
replace ninchh2_exp=ninchh2_exp*12

gen ninchhcat2_exp1 = 0
gen ninchhcat2_exp2 = 0
gen ninchhcat2_exp3 = 0
gen ninchhcat2_exp4 = 0
replace ninchhcat2_exp1 = 1 if ninchh2_exp<14000
replace ninchhcat2_exp2 = 1 if ninchh2_exp>=14000 & ninchh2_exp<22000
replace ninchhcat2_exp3 = 1 if ninchh2_exp>=22000 & ninchh2_exp<40000
replace ninchhcat2_exp4 = 1 if ninchh2_exp>=40000

gen findec1=(findecide>3)
replace findec1=. if findecide==.
gen findec1m=(findec1==1 & sex==0)
replace findec1m=. if findec1==.
gen findec1f=(findec1==1 & sex==1)
replace findec1f=. if findec1==.
gen findec2=(findecide>2)
replace findec2=. if findecide==.
gen findec2m=(findec2==1 & sex==0)
replace findec2m=. if findec2==.
gen findec2f=(findec2==1 & sex==1)
replace findec2f=. if findec2==.

qui tab oplcat, gen(educ_exp)

drop positie lftdcat woonvorm sted belbezig inkomen oplcat ninchhcat1_exp*


// SAVE

sort nohhmem
label data "Experiment Nov05 CentERpanel, Raw Answers."
compress
saveold `formatteddatadir'/centerpanel_exp.dta, replace
log close
scons_returncode
