local thisdofilename export_txt
include ../lib_local/header
program drop _all
set mem 500m
capture log close
capture erase log/export_txt.log

// SET VARIABLES TO INCLUDE IN RND COEFFS AND K
// LEAVE BLANK/SET TO ZERO IF NOT ESTIMATED
// NEED TO INCLUDE K*, N, NJ IN FORTRAN FILE
// CAREFUL:
// IF K_xxx>0 ALWAYS INCLUDE CONSTANT FIRST!

// SPECIFICATION DEMOG

clear
include ../lib_local/header
capture log close
capture erase log/export_txt.log

global X_gam_f constant incentive0 sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
  educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
  assetd2 assetd3 assetd4 finadmin finknowd
global X_gam_s constant incentive0

global X_lam_f constant incentive0 sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
  educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
  assetd2 assetd3 assetd4 finadmin finknowd
global X_lam_s constant incentive0

global X_rho_f constant incentive0 sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
  educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
  assetd2 assetd3 assetd4 finadmin finknowd
global X_rho_s constant incentive0

global X_tau_f constant
global X_tau_s constant

global X_omg_f constant incentive0 sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
  educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
  assetd2 assetd3 assetd4 finadmin finknowd durshort durlong
global X_omg_s constant incentive0

global OUTPATH `formatteddatadir_txt'
global SPECIFICATION demog
global USEFILE "`formatteddatadir'/exp_dhs_aer_long"
global KEEPCOND 

capture mkdir ${OUTPATH}
capture mkdir ${OUTPATH}/${SPECIFICATION}-f/
capture mkdir ${OUTPATH}/${SPECIFICATION}-s/

txtout


// SPECIFICATION DEMOG-INC

foreach incentive in 0 1 3 {
    clear
    include ../lib_local/header
    capture log close
    capture erase log/export_txt.log

    global X_gam_f constant sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
      educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
      assetd2 assetd3 assetd4 finadmin finknowd
    global X_gam_s constant
    
    global X_lam_f constant sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
      educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
      assetd2 assetd3 assetd4 finadmin finknowd
    global X_lam_s constant
    
    global X_rho_f constant sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
      educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
      assetd2 assetd3 assetd4 finadmin finknowd
    global X_rho_s constant
    
    global X_tau_f constant
    global X_tau_s constant
    
    global X_omg_f constant sex agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 ///
      educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp3 ninchhcat2_exp4 ///
      assetd2 assetd3 assetd4 finadmin finknowd durshort durlong
    global X_omg_s constant
    
    global OUTPATH `formatteddatadir_txt'
    global SPECIFICATION demog-inc`incentive'
    global USEFILE "`formatteddatadir'/exp_dhs_aer_long"
    global KEEPCOND "keep if incentive`incentive' == 1"
    
    capture mkdir ${OUTPATH}/${SPECIFICATION}-f/
    capture mkdir ${OUTPATH}/${SPECIFICATION}-s/
    
    txtout
}

scons_returncode

