local thisdofilename meanswitch_data
include ../lib_local/header

// generate lowest / highest / mean switchpoint

u `formatteddatadir'/exp_dhs_aer, clear
local N = _N

forvalues qnum = 1/7 {
    
    // lowest switchpoint by question: highest choice of A before lowest choice of B
    gen switchperc_lo`qnum'=.
    
    // do this stuff for each individual
    forvalues n=1/`N' {
        // search upwards to find lowest choice of B
        foreach up in 0 10 20 25 30 40 50 60 70 75 80 90 100 {
            if switchperc_lo`qnum'[`n'] == .     {
                capture replace switchperc_lo`qnum'=`up' if q`qnum'_`up'[`n']==1 & _n==`n'
                
                // search downwards to find highest choice of A that is lower than lowest choice of B
                foreach down in 100 90 80 75 70 60 50 40 30 25 20 10 0 {
                    
                    capture replace switchperc_lo`qnum'=`down' if switchperc_lo`qnum'==`up' /// change only if value is still at lowest B choice
                    & switchperc_lo`qnum'>`down' /// change only if value is lower than B choice
                    & q`qnum'_`down'==0 /// change only if choice at counter is A
                    & _n==`n' // change only for individual `n'
                }
            }
        }
    }
    // highest switchpoint by question: lowest choice of B after highest choice of A
    gen switchperc_hi`qnum'=.
    
    // do this stuff for each individual
    forvalues n=1/`N'   {
        
        // search downwards to find highest choice of A
        foreach down in 100 90 80 75 70 60 50 40 30 25 20 10 0    {
            if switchperc_hi`qnum'[`n']==.     {
                capture replace switchperc_hi`qnum'=`down' if q`qnum'_`down'[`n']==0 & _n==`n'
                
                // search upwards to find lowest choice of B that is higher than highest choice of A
                foreach up in 0 10 20 25 30 40 50 60 70 75 80 90 100      {
                    capture replace switchperc_hi`qnum'=`up' if switchperc_hi`qnum'==`down' /// change only if it is still at highest A choice
                    & switchperc_hi`qnum'<`up' /// change only if counter is higher than A choice
                    & q`qnum'_`up'==1 /// change only if choice at counter is B
                    & _n==`n' // change only for individual `n'
                }
            }
        }
    }
    // corrections for people who stuck to one choice over the whole sheet
    replace switchperc_hi`qnum'=0 if switchperc_hi`qnum'==. & q`qnum'_0==1
    replace switchperc_lo`qnum'=100 if switchperc_lo`qnum'==. & q`qnum'_100==0
    
    // mean switchpoint by question
    gen switchperc_me`qnum'=.
    replace switchperc_me`qnum' = (switchperc_lo`qnum' + switchperc_hi`qnum')/2
}
egen meanswitch_lo = rowmean(switchperc_lo1 switchperc_lo2 switchperc_lo3 switchperc_lo4 switchperc_lo5 switchperc_lo6 switchperc_lo7)
egen meanswitch_hi = rowmean(switchperc_hi1 switchperc_hi2 switchperc_hi3 switchperc_hi4 switchperc_hi5 switchperc_hi6 switchperc_hi7)
egen meanswitch_me = rowmean(switchperc_me1 switchperc_me2 switchperc_me3 switchperc_me4 switchperc_me5 switchperc_me6 switchperc_me7)

save `formatteddatadir'/exp_dhs_aer_meanswitch, replace
log close
scons_returncode
