*! Version 1.0.0 August 25, 2008 @ 09:55:27
// Exports an open graph file as pdf
// Syntax is similar to graph export filename.pdf, options
// but any options are ignored. Replace is assumed.

program graph_export_pdf
	version 9
	syntax anything [, *]
	
	local filename = "`1'"

	// get rid of trailing blanks
	local filename = rtrim("`filename'")
	
	// remove comma if present from , replace
	local filename = regexr("`filename'","(,$)|(,replace$)","")

	// remove .pdf or .eps extension if present
	local filename = regexr("`filename'","(.pdf$)|(.eps$)","")

	// export to eps format
	qui graph export "`filename'.eps", replace

	// do conversion to pdf format
	qui findfile epstopdf
	if c(os)=="Windows" {
		// not very elegant, but can't find better way here
		copy "`r(fn)'" "`c(pwd)'\epstopdf"
		!epstopdf "`filename'.eps"
		erase epstopdf
	}
	else {
		!`r(fn)' "`filename'.eps"
   }
	
	// erase eps file again
	erase "`filename'.eps"
	
end
