// cediff_cara v1.0.0 HMG 26oct2007
program define cediff_crra, rclass
    syntax varlist(min=11 max=11 numeric) [, name(string)]
    
    local GAM `1'
    local LAM `2'
    local RHO `3'
    local SGN `4'
    local ALO `5'
    local AHI `6'
    local ALATE `7'
    local BLO `8'
    local BHI `9'
    local BLATE `10'
    local PHI `11'
    
    
    local tempvar1 GAMPOS GAMNEG LAMBDA S NORM ONE ZERO ualo uahi ublo ubhi
    tempvar `tempvar1'
    local tempvar2 cea ceb wa wb w0 eua eub eu0 hualo_early huahi_early hublo_early hubhi_early
    tempvar `tempvar2'
    
    
    gen double GAMPOS=`GAM'
    // switching risk preferences, not for negativ GAMPOS ;
    qui gen GAMNEG= GAMPOS
    qui replace GAMNEG=-GAMPOS if GAMPOS<0 | `BLO'>0
    
    gen ZERO=0
    gen ONE = 1
    
    gen double ualo=0
    gen double uahi=0
    gen double ublo=0
    gen double ubhi=0
    // calculate utility;
    u_crra `ALO' GAMPOS GAMNEG `LAM' ualo
    u_crra `AHI' GAMPOS GAMNEG `LAM' uahi
    u_crra `BLO' GAMPOS GAMNEG `LAM' ublo
    u_crra `BHI' GAMPOS GAMNEG `LAM' ubhi
    
    gen wa=(1-`PHI')* ualo + `PHI' * uahi
    gen wb=(1-`PHI')* ublo + `PHI' * ubhi
    // calculate certainty equivalents, take difference;
    gen cea=0
    gen ceb=0
    certequivcrra wa GAMPOS GAMNEG `LAM' cea
    certequivcrra wb GAMPOS GAMNEG `LAM' ceb
    gen CE`name'=ceb-cea
    // en CE`name'=wb-wa;
    
    foreach var in `tempvar1' `tempvar2'  {
        capture drop `var'
    }
end
