*! version 1.0.0 Mrz 5, 2008 @ 14:57:36
*! Outputs data for PrefHet project to txt-format
program define txtout
version 9

	u ${USEFILE}
	${KEEPCOND}
	format nohhmem %12.0f
	gen constant=1
	qui replace pHI=pHI/100
	local parlist "gam lam rho tau omg"

	
	foreach config in f s {
		log using ${OUTPATH}/${SPECIFICATION}-`config'/specification, replace
		foreach i in `parlist' {
			scalar K_`i'=0
			foreach j in ${X_`i'_`config'} {
				scalar K_`i'=K_`i'+1
			}
		}

		/**** CLEAN DATA, SAVE / OPEN FILE FOR SIMPLE VERSION ****/

		if ("`config'"=="f")  {
			keep nohhmem choice pHI aLO aHI aLATE bLO bHI bLATE incentive1 ///
		      ${X_gam_`config'} ${X_lam_`config'} ${X_rho_`config'} ///
		      ${X_tau_`config'} ${X_omg_`config'} quest sheet
			
			foreach par in `parlist' {
				if K_`par'>0 {
					foreach config2 in f s { 
						gen str20  X_`par'_`config2'=" "
						local i=1
						foreach var in ${X_`par'_`config2'} {
							qui replace X_`par'_`config2'= "`var'" in `i'
							local i=`i'+1
						}
					}
				}
			}
			compress
			save ${OUTPATH}/${SPECIFICATION}-f/${SPECIFICATION}, replace
			drop quest sheet
		}
		else {
			use ${OUTPATH}/${SPECIFICATION}-f/${SPECIFICATION}, clear
		}



		
		/********* OUTPUT OF THE VARIABLES OF INTEREST *********/

		outfile choice                          using ${OUTPATH}/${SPECIFICATION}-`config'/y.txt,              nol noc wide replace
		outfile pHI aLO aHI aLATE bLO bHI bLATE using ${OUTPATH}/${SPECIFICATION}-`config'/lotterycharacs.txt, nol noc wide replace
		outfile incentive1                      using ${OUTPATH}/${SPECIFICATION}-`config'/x_in1.txt,          nol noc wide replace
		foreach par in `parlist' {
			if K_`par'>0 {
				outfile ${X_`par'_`config'}       using ${OUTPATH}/${SPECIFICATION}-`config'/x_`par'.txt,        nol noc wide replace 
			}
		}




		/********* INDICATOR VARIABLES FOR INDIVIDUALS **********/

		keep nohhmem
		duplicates tag nohhmem, gen(J)
		qui replace J=J+1
		qui su nohhmem
		scalar NJ=r(N)
		local NJ=NJ

		gen ind_first=.
		gen ind_last=.
		qui replace ind_first=1 in 1
		local TEMP=`NJ'-56
		qui replace ind_last=`NJ' in `TEMP'/`NJ'
		local j=1
		forvalues i=2/`NJ' {
			if nohhmem[`i']!=nohhmem[`i'-1] {
				qui replace ind_last =`i'-1 in `j'
				local j=`i'
				qui replace ind_first=`i'   in `j'
			}	
		}
		qui drop if ind_first == .

		order nohhmem ind_first ind_last J
		format nohhmem %12.0f
		outfile using ${OUTPATH}/${SPECIFICATION}-`config'/indivindic.txt, nol noc wide replace
		qui su nohhmem
		local N=r(N)
		drop nohhmem-J
		



		/************** OVERVIEW OF SPECIFICATION **************/

		set obs 8
		gen str20  parameter=" "
		gen long   value=.
		forvalues i=1/20 {
			qui gen str20 variable`i'=" "
		}
		
		qui replace parameter="NJ"  in 1
		qui replace value=`NJ'      in 1
		
		qui replace parameter="N" in 2
		qui replace value=`N'     in 2
		
		scalar K_general=7
		local j=3
		foreach par in `parlist' general {
			qui replace parameter="K_`par'"   in `j'
			qui replace value=K_`par'         in `j'
			local i=1
			foreach var in ${X_`par'_`config'} {
				qui replace variable`i'="`var'" in `j'
				local i=`i'+1
			}
			local j=`j'+1
		}
		outfile using ${OUTPATH}/${SPECIFICATION}-`config'/parameters.txt, nol noc noq wide replace
		
		capture log c
		foreach par in `parlist' in1 {
			capture erase ${OUTPATH}/${SPECIFICATION}-`config'/varnames_`par'.txt
			foreach i in ${X_`par'_`config'} {
				qui log using ${OUTPATH}/${SPECIFICATION}-`config'/varnames_`par'.txt, append 
				di "`i'"
				qui log c
			}
		}
	}
	
end
