local thisdofilename corrtables
include ../lib_local/header
log close

foreach Sigma in restr free {
    
    local nmodels 10
    
    local model1 kp
    local datatype1 demog
    local fullsimple1 s
    local freerestr1 `Sigma'
    
    local model2 kp
    local datatype2 demog
    local fullsimple2 f
    local freerestr2 `Sigma'
    
    local model3 ca
    local datatype3 demog
    local fullsimple3 f
    local freerestr3 `Sigma'
    
    local model4 la
    local datatype4 demog
    local fullsimple4 f
    local freerestr4 `Sigma'
    
    local model5 pt
    local datatype5 demog
    local fullsimple5 f
    local freerestr5 `Sigma'
    
    local model6 ptcrra
    local datatype6 demog
    local fullsimple6 f
    local freerestr6 `Sigma'
    
    local model7 ca
    local datatype7 demog
    local fullsimple7 s
    local freerestr7 `Sigma'
    
    local model8 la
    local datatype8 demog
    local fullsimple8 s
    local freerestr8 `Sigma'
    
    local model9 pt
    local datatype9 demog
    local fullsimple9 s
    local freerestr9 `Sigma'
    
    local model10 ptcrra
    local datatype10 demog
    local fullsimple10 s
    local freerestr10 `Sigma'
    
    // 1 PREPARE COLUMNS WITH VARIABLE NAMES
    
    // get raw parameter names from all models in the sample
    forvalues n=1/`nmodels' {
        if ("`model`n''"=="kp" & "`model`n''"!="ca") {
            local vars`n' gam lam rho omg
            local nvars`n'=4
            local sigvars " "
            foreach x in `vars`n'' {
                local sigvars= "`sigvars' sig`x'`n'"
            }
            qui infile `sigvars' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/corrse.txt", clear
        }
        if ("`model`n''"!="kp" & "`model`n''"=="ca") {
            local vars`n' gam omg
            local nvars`n' = 2
            local sigvars " "
            foreach x in `vars`n'' {
                local sigvars= "`sigvars' sig`x'`n'"
            }
            qui infile `sigvars' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/corrse.txt", clear
        }
        if ("`model`n''"!="kp" & "`model`n''"!="ca") {
            local vars`n' gam lam omg
            local nvars`n' = 3
            local sigvars " "
            foreach x in `vars`n'' {
                local sigvars= "`sigvars' sig`x'`n'"
            }
            qui infile `sigvars' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/corrse.txt", clear
        }
        qui gen rowname=" "
        local i=1
        foreach var in `vars`n'' {
            qui replace rowname="sig`var'" in `i'
            local i=`i'+1
            qui replace rowname="sig`var'se" in `i'
            local i=`i'+1
        }
        if `n'==1 {
            qui save temp1, replace
        }
        else {
            qui save temp2, replace
            u temp1
            qui merge rowname using temp2, sort
            drop _m
            qui save temp1, replace
        }
        qui infile tau`n' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/tause.txt", clear
        qui gen rowname="tau"
        qui replace rowname="tause" in 2
        if (`n'==1) {
            append using temp1
            save temp1,replace
        }
        else {
            qui save temp2, replace
            u temp1
            qui merge rowname using temp2, sort
            drop _m
            qui save temp1, replace
        }
        qui infile in1tau`n' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/incentive1se.txt", clear
        qui su in1tau
        local loc1=r(N)-3
        local loc2=r(N)-2
        keep in `loc1'/`loc2'
        qui gen rowname="in1tau"
        qui replace rowname="in1tause" in 2
        if (`n'==1) {
            append using temp1
            save temp1, replace
        }
        else {
            qui save temp2, replace
            u temp1
            qui merge rowname using temp2, sort
            drop _m
            qui save temp1, replace
        }
        qui infile logl`n' using "../main_estimation/`model`n''-`datatype`n''-`fullsimple`n''/output_`freerestr`n''/logl.txt", clear
        qui gen rowname="logl"
        if (`n'==1) {
            append using temp1
            save temp1,replace
        }
        else {
            qui save temp2, replace
            u temp1
            qui merge rowname using temp2, sort
            drop _m
            qui save temp1, replace
        }
    }
    qui gen id=1 if rowname=="siggam"
    qui replace id=2 if rowname=="siggamse"
    qui replace id=3 if rowname=="siglam"
    qui replace id=4 if rowname=="siglamse"
    qui replace id=5 if rowname=="sigrho"
    qui replace id=6 if rowname=="sigrhose"
    qui replace id=7 if rowname=="sigomg"
    qui replace id=8 if rowname=="sigomgse"
    qui replace id=9 if rowname=="tau"
    qui replace id=10 if rowname=="tause"
    qui replace id=11 if rowname=="in1tau"
    qui replace id=12 if rowname=="in1tause"
    qui replace id=13 if rowname=="logl"
    
    sort id
    
    forvalues n=1/`nmodels' {
        // preliminaries for out-tex
        local OUTFILE "`tablesdir_prefhet'/corr-`model`n''-`freerestr`n''-`datatype`n''-`fullsimple`n''.tex"
        capture erase `OUTFILE'
        qui log using `OUTFILE'
                
        if "`fullsimple`n''"=="s" local fs "Minimal Set of Covariates"
        if "`fullsimple`n''"=="f" local fs "Full Set of Covariates"
        
        if (`nvars`n''==1) {
            di "\begin {tabular} {lr}\hline\hline \multicolumn {2} {c} { {\bf `fs'}} \\"
        }
        if (`nvars`n''==2) {
            di "\begin {tabular} {lrr}\hline\hline \multicolumn {3} {c} { {\bf `fs'}} \\"
        }
        if (`nvars`n''==3) {
            di "\begin {tabular} {lrrr}\hline\hline \multicolumn {4} {c} { {\bf `fs'}} \\"
        }
        if (`nvars`n''==4) {
            di "\begin {tabular} {lrrrr}\hline\hline \multicolumn {5} {c} { {\bf `fs'}} \\"
        }
        if (`nvars`n''==5) {
            di "\begin {tabular} {lrrrrr}\hline\hline \multicolumn {6} {c} { {\bf `fs'}} \\"
        }
        foreach i in `vars`n'' {
            if ("`i'"=="gam") local param "\gamma"
            if ("`i'"=="lam") local param "\lambda"
            if ("`i'"=="rho") local param "\rho"
            if ("`i'"=="tau") local param "\tau"
            if ("`i'"=="omg") local param "\omega"
            
            di "& $\sigma_`param'$"
        }
        di "\\[2ex]\hline"
        
        qui su id
        local nobs=r(N)
        
        forvalues i=1/`nobs' {
            
            if (rowname[`i']=="siggam" & siggam`n'[`i']!=.) {
                di "$\sigma_\gamma$"
                foreach var in `vars`n'' {
                    if (sig`var'`n'[`i']!=0) {
                        di "& " %9.3f sig`var'`n'[`i']
                    }
                    else {
                        di "& "
                    }
                }
                local j=`i'+1
                di "\\[-.75ex]"
                foreach var in `vars`n'' {
                    if (sig`var'`n'[`i']!=0) {
                        di "& \tiny {$( "%9.3f sig`var'`n'[`j'] ")$}"
                    }
                    else {
                        di "& "
                    }
                }
                di "\\"
            }
            capture di siglam`n'[1]
            if (rowname[`i']=="siglam" & _rc==0) {
                local k=1
                foreach var in `vars`n'' {
                    if (`k'==1) {
                        di "$\sigma_\lambda$"
                    }
                    local k=`k'+1
                    if (sig`var'`n'[`i']!=0) {
                        di "& " %9.3f sig`var'`n'[`i']
                    }
                    else {
                        di "& "
                    }
                }
                local j=`i'+1
                di "\\[-.75ex]"
                foreach var in `vars`n'' {
                    if (sig`var'`n'[`i']!=0) {
                        di "& \tiny {$( "%9.3f sig`var'`n'[`j'] ")$}"
                    }
                    else {
                        di "& "
                    }
                }
                di "\\"
            }
            capture di sigrho`n'[1]
            if (rowname[`i']=="sigrho" & _rc==0) {
                local k=1
                foreach var in `vars`n'' {
                    if (`k'==1) {
                        di "$\sigma_\rho$"
                    }
                    local k=`k'+1
                    if (sig`var'`n'[`i']!=0) {
                        di "& " %9.3f sig`var'`n'[`i']
                    }
                    else {
                        di "& "
                    }
                }
                local j=`i'+1
                di "\\[-.75ex]"
                foreach var in `vars`n'' {
                    if (sig`var'`n'[`i']!=0) {
                        di "& \tiny {$( "%9.3f sig`var'`n'[`j'] ")$}"
                    }
                    else {
                        di "& "
                    }
                }
                di "\\"
            }
            if (rowname[`i']=="sigomg") {
                local k=1
                foreach var in `vars`n'' {
                    if (`k'==1) {
                        di "$\sigma_\omega$"
                    }
                    local k=`k'+1
                    if (sig`var'`n'[`i']!=0) {
                        di "& " %9.3f sig`var'`n'[`i']
                    }
                    else {
                        di "& "
                    }
                }
                local j=`i'+1
                di "\\[-.75ex]"
                foreach var in `vars`n'' {
                    if (sig`var'`n'[`i']!=0) {
                        di "& \tiny {$( "%9.3f sig`var'`n'[`j'] ")$}"
                    }
                    else {
                        di "& "
                    }
                }
                di "\\[2ex]\hline"
            }
            if (rowname[`i']=="tau") {
                di "$\tau$ &" %9.3f tau`n'[`i'] "\\"
                local j=`i'+1
                di "& \tiny {$( "%9.3f tau`n'[`j'] ")$}\\"
            }
            if (rowname[`i']=="in1tau") {
                di "$\tau_ {\text {Low Inc}}~^\dag$ &" %9.3f in1tau`n'[`i'] "\\"
                local j=`i'+1
                di "& \tiny {$( "%9.3f in1tau`n'[`j'] ")$} \\[2ex]\hline"
            }
            if (rowname[`i']=="logl") {
                di "Log-Likel &" %9.1f logl`n'[`i']
            }
        }
        di "\\\hline\hline\end {tabular}"
        qui log c
    }
    erase temp1.dta
    erase temp2.dta
    
}
scons_returncode

