local thisdofilename describe
include ../lib_local/header
log close


local OUTFILE "`tablesdir_prefhet'/TableDescriptives.tex"
use `formatteddatadir'/exp_dhs_aer, clear


local USEDVARS "sex agecat_exp12 agecat_exp3 agecat_exp4 agecat_exp5 agecat_exp6 educ_exp12 educ_exp34 educ_exp5 educ_exp6 ninchhcat2_exp12 ninchhcat2_exp3 ninchhcat2_exp4 assetd1 assetd2 assetd3 assetd4 finadmin finknowd incentive3 incentive0 incentive1 durshort durmed durlong"

// DESCRIPTIVES-PRELIMINARIES: ERASE TABLE, COUNT ELEMENTS
capture erase `OUTFILE'
local COUNTER=0
foreach i of varlist `USEDVARS' {
    local COUNTER=`COUNTER'+1
}
local NELEMENTS=`COUNTER'
local COUNTER=0

// DESCRIPTIVES-MAIN PART: WRITE ELEMENTS TO TABLE
foreach i of varlist `USEDVARS' {
    qui log using `OUTFILE', append
    if `COUNTER'==0 {
        di "\begin {tabular} {lr}\hline\hline"
        di " {\bf Variable Description} & {\bf Fraction}\\\hline\\"
    }
    qui local COUNTER=`COUNTER'+1
    qui local j: variable label `i'
    qui su `i'
    di "`j'&" %9.2f r(mean) "\\"
    if `COUNTER'==1 | `COUNTER'==6 | `COUNTER'==10 | `COUNTER'==13 | `COUNTER'==17 | `COUNTER'==19 | `COUNTER'==22 {
        di "\hline"
    }
    if `COUNTER'==`NELEMENTS' {
        di "\hline\hline\end {tabular}"
    }
    qui log c
}
scons_returncode
