__doc__ = """Simple Examples contained in the documentation of Stata
cleanup script / builder"""

__revision__ = '$Id: examples.py 83 2009-05-28 13:17:09Z hgaudecker $'

import os

### @export cleanup_example
from stata_cleanup import cleanup_master

foo = """
include ../lib/header.do
#delimit ;
use bar1, clear;
if `j'==1 {;
foreach file in
bar2
bar3
bar4
{;
merge using `file', sort;
};
save bar_consolidated, replace;
};
"""

foo_clean = cleanup_master(instring = foo, nblanklines = 100)
print foo_clean
### @end


### @export SConstruct_example
# add path from operating system environment, Stata builder
env = Environment(ENV = {'PATH' : os.environ['PATH']},
                  tools = ['default', 'stata_builder'])
# export the environment to use in SConscript files
Export('env')
# main build tasks
SConscript(['stata_test/SConscript'])
### @end

### @export SConscript_example_plain
Import('env')
env.Stata(source = 'foo')
### @end


### @export SConscript_example_full
Import('env')
env.Stata(target = foo.log, source = 'foo.do', log_delete = True, scan_file = False)
### @end
